ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
LibItsSremSsem__TestSystem::SremSsemPort Class Reference

`#include <SremSsemPort.hh>`

Inheritance diagram for LibItsSremSsem__TestSystem::SremSsemPort:

## Public Member Functions
| SremSsemPort (const char *par_port_name=NULL)
| ~SremSsemPort ()
void | set_parameter (const char *parameter_name, const char *parameter_value)
void | receiveMsg (const LibItsSremSsem__TestSystem::SremInd &, const Params &)
void | receiveMsg (const LibItsSremSsem__TestSystem::SsemInd &, const Params &)

## Protected Member Functions
void | user_map (const char *system_port)
void | user_unmap (const char *system_port)
void | user_start ()
void | user_stop ()
void | outgoing_send (const SremReq &send_par)
void | outgoing_send (const SsemReq &send_par)

## Private Member Functions
void | Handle_Fd_Event_Error (int fd)
void | Handle_Fd_Event_Writable (int fd)
void | Handle_Fd_Event_Readable (int fd)

## Private Attributes
Params | _cfg_params
Params | _layer_params
layer * | _layer
std::string | _time_key

## Constructor & Destructor Documentation

## ◆ SremSsemPort()

LibItsSremSsem__TestSystem::SremSsemPort::SremSsemPort | ( | const char * | par_port_name = `NULL` | ) |

## ◆ ~SremSsemPort()

LibItsSremSsem__TestSystem::SremSsemPort::~SremSsemPort | ( |  | ) |

## Member Function Documentation

## ◆ Handle_Fd_Event_Error()

void LibItsSremSsem__TestSystem::SremSsemPort::Handle_Fd_Event_Error | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Readable()

void LibItsSremSsem__TestSystem::SremSsemPort::Handle_Fd_Event_Readable | ( | int | fd | ) |
| private

## ◆ Handle_Fd_Event_Writable()

void LibItsSremSsem__TestSystem::SremSsemPort::Handle_Fd_Event_Writable | ( | int | fd | ) |
| private

## ◆ outgoing_send() [1/2]

void LibItsSremSsem__TestSystem::SremSsemPort::outgoing_send | ( | const SremReq & | send_par | ) |
| protected

## ◆ outgoing_send() [2/2]

void LibItsSremSsem__TestSystem::SremSsemPort::outgoing_send | ( | const SsemReq & | send_par | ) |
| protected

## ◆ receiveMsg() [1/2]

void LibItsSremSsem__TestSystem::SremSsemPort::receiveMsg | ( | const LibItsSremSsem__TestSystem::SremInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## ◆ receiveMsg() [2/2]

void LibItsSremSsem__TestSystem::SremSsemPort::receiveMsg | ( | const LibItsSremSsem__TestSystem::SsemInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## ◆ set_parameter()

void LibItsSremSsem__TestSystem::SremSsemPort::set_parameter | ( | const char * | parameter_name,
|  | const char * | parameter_value
| ) |  |

## ◆ user_map()

void LibItsSremSsem__TestSystem::SremSsemPort::user_map | ( | const char * | system_port | ) |
| protected

## ◆ user_start()

void LibItsSremSsem__TestSystem::SremSsemPort::user_start | ( |  | ) |
| protected

## ◆ user_stop()

void LibItsSremSsem__TestSystem::SremSsemPort::user_stop | ( |  | ) |
| protected

## ◆ user_unmap()

void LibItsSremSsem__TestSystem::SremSsemPort::user_unmap | ( | const char * | system_port | ) |
| protected

## Member Data Documentation

## ◆ _cfg_params

Params LibItsSremSsem__TestSystem::SremSsemPort::_cfg_params
| private

## ◆ _layer

layer* LibItsSremSsem__TestSystem::SremSsemPort::_layer
| private

## ◆ _layer_params

Params LibItsSremSsem__TestSystem::SremSsemPort::_layer_params
| private

## ◆ _time_key

std::string LibItsSremSsem__TestSystem::SremSsemPort::_time_key
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/include/SremSsemPort.hh
- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/src/SremSsemPort.cc